<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/HTML/Views/Directory/Directory.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.HTML.Views.Directory.Directory</title>
<link href="../../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../../../Synopsis.html" >Synopsis</a>.<a href="../../../../Formatters.html" >Formatters</a>.<a href="../../../HTML.html" >HTML</a>.<a href="../../Views.html" >Views</a>.<a href="../Directory.html" >Directory</a>
</div><div class="class-name">class Directory

</div><div class="links"><div class="file">File: <a href="../../../../../../File/Synopsis/Formatters/HTML/Views/Directory.py.html" target="detail">../Synopsis/Formatters/HTML/Views/Directory.py</a></div> <div class="xref"><a href="../../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Views.Directory.Directory" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Directory.py.html#line25" ><img src="../../../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="Directory-inheritance" src="Directory-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Directory-inheritance_map" />
<map name="Directory-inheritance_map"></map>
 <div class="doc">A view that lists the content of a directory.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Class attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="src_dir">src_dir</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Directory.py.html#line28" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="base_path">base_path</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Directory.py.html#line29" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="exclude">exclude</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Directory.py.html#line30" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="filename">filename</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Views.Directory.Directory.filename" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Directory.py.html#line32" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="title">title</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Views.Directory.Directory.title" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Directory.py.html#line36" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="root">root</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Views.Directory.Directory.root" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Directory.py.html#line40" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Directory.html#filename_for_dir" >filename_for_dir</a></span>(<span class="variable">self</span>, <span class="variable">dir</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Views.Directory.Directory.filename_for_dir" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Directory.py.html#line48" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Returns the output filename for the given input directory.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="register">register</a>(<span class="variable">self</span>, <span class="variable">frame</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Views.Directory.Directory.register" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Directory.py.html#line57" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="register_filenames">register_filenames</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Views.Directory.Directory.register_filenames" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Directory.py.html#line63" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="process">process</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Views.Directory.Directory.process" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Directory.py.html#line82" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="process_dir">process_dir</a>(<span class="variable">self</span>, <span class="variable">path</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Views.Directory.Directory.process_dir" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Directory.py.html#line86" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Directory.html#end_file" >end_file</a></span>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Views.Directory.Directory.end_file" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Directory.py.html#line171" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="filename_for_dir">filename_for_dir</a>(<span class="variable">self</span>, <span class="variable">dir</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Views.Directory.Directory.filename_for_dir" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Directory.py.html#line48" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Returns the output filename for the given input directory.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="end_file">end_file</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.Views.Directory.Directory.end_file" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Directory.py.html#line171" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Overrides end_file to provide synopsis logo</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:27:10 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
